apiVersion: camel.apache.org/v1alpha1
kind: KameletBinding
metadata:
  creationTimestamp: "2023-01-09T09:01:06Z"
  generation: 1
  name: timer-to-log-avro
  namespace: lfabriko
  resourceVersion: "20778794"
  uid: 0cb51be9-f002-464a-9aae-57dbb75e1a7d
spec:
  sink:
    properties:
      showHeaders: true
    uri: log:info
  source:
    properties: {}
    ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: custom-timer-source
  steps:
  - ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: json-deserialize-action
      namespace: lfabriko
  - properties:
      schema: '{"type": "record", "namespace": "com.example", "name": "FirstName",
        "fields": [{"name": "firstName", "type": "string"}]} '
    ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: avro-serialize-action
      namespace: lfabriko
  - properties:
      schema: '{"type": "record", "namespace": "com.example", "name": "FirstName",
        "fields": [{"name": "firstName", "type": "string"}]} '
    ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: avro-deserialize-action
      namespace: lfabriko
status:
  conditions:
  - lastTransitionTime: "2023-01-09T09:03:20Z"
    lastUpdateTime: "2023-01-09T09:03:20Z"
    message: 1/1 ready replicas
    reason: DeploymentReady
    status: "True"
    type: Ready
  phase: Ready
  replicas: 1
  selector: camel.apache.org/integration=timer-to-log-avro
